Subject: [Mgs] No pictures

From: Richard Lindsay <[email-masked]>
Date: Wed, 12 Jun 2013 09:57:10 -0500

Hi Friends,

No pictures this morning.  Just a note to report that both dampers
have been freshened, refinished and installed on the recently restored
frame/suspension.  Now remaining is the restoration and installation
of the right-rear handbrake cable.  And then, until I rebuild the
brakes, the rear end is done!

If the Houston heat doesn't kill me, I'll start of the fuel tank later today.

-rick
_______________________________________________

[email-masked]
Archive: http://www.team.net/archive
Unsubscribe: http://autox.team.net/mailman/options/mgs/[email-masked]